<?php
namespace Magento\Pakkepost\Ui\Component\Listing\Column;

use Magento\Framework\Data\OptionSourceInterface;
use Magento\Framework\View\Element\UiComponentFactory;
use Magento\Framework\View\Element\UiComponent\ContextInterface;
use Magento\Ui\Component\Listing\Columns\Column;

class PkpProductTypeOptions extends Column implements OptionSourceInterface
{
    public function __construct(
        ContextInterface $context,
        UiComponentFactory $uiComponentFactory,
        array $components = [],
        array $data = []
    ) {
        parent::__construct($context, $uiComponentFactory, $components, $data);
    }

    public function toOptionArray()
    {
        $options = [
            ['label' => __('Active'), 'value' => 'active'],
            ['label' => __('Inactive'), 'value' => 'inactive'],
            ['label' => __('Pending'), 'value' => 'pending'],
        ];

        return $options;
    }
}
